﻿package 
{
	import com.greensock.easing.*;
	import com.greensock.OverwriteManager;
	import com.greensock.plugins.GlowFilterPlugin;
	import com.greensock.plugins.TintPlugin;
	import com.greensock.plugins.TweenPlugin;
	import com.greensock.TweenLite;
	import flash.display.MovieClip;
	import flash.display.SimpleButton;
	import flash.events.MouseEvent;
	import flash.utils.getTimer;
	
	/**
	 * Document class for the 234x60 "More than IT" Experis - ManPower banner.
	 * @author Derrick Williams
	 */
	public class  MoreThanIT_Cable_234x60 extends MoreThanIT_Cable_Base
	{		
		// --------------------------------------------------------------------
		//	Constructor
		// --------------------------------------------------------------------
		
		public function MoreThanIT_Cable_234x60 (){}
		
		// --------------------------------------------------------------------
		//	Stage Elements
		// --------------------------------------------------------------------
		
		public var line8:MovieClip;
	 
		// --------------------------------------------------------------------
		//	Methods
		// --------------------------------------------------------------------
		
		override protected function init():void
		{
			super.init();
		
			for (var i:int = 1; i < 5; i++) {
				this["line" + i].wire.alpha = 0;
			}
		}
		
		override protected function animateFrame1(delay:Number=0):void
		{
			//TweenLite.to(cableGuy, 0.7, {x: 532, scaleX: 0.62, scaleY: 0.62, delay: delay, ease: Linear.easeOut} );
			TweenLite.from(cableGuy, 0.8, {x: -200, delay: delay} );
			TweenLite.from(headline, 0.5, { alpha: 0, x: "-40", delay: delay + 0.5, ease: Linear.easeOut } );
			
			delay += 0.5;
			//TweenLite.delayedCall(delay, showLoopReceptor);
			TweenLite.from(line1, 0.5, {alpha: 0, x: 0, delay: delay + 1.5, ease: MoreThanIT_Cable_Base.WIRE_EASE} );
			TweenLite.from(line2, 0.5, {alpha: 0, x: 0, delay: delay + 1.75, ease: MoreThanIT_Cable_Base.WIRE_EASE} );
		}
		
		override protected function animateFrame2(delay:Number=0):void
		{
			// hide frame 1
			TweenLite.to(line1, 0.5, {alpha: 0, delay: delay + 0.5} );
			TweenLite.to(line2, 0.5, {alpha: 0, delay: delay + 0.75} );
			
			// show frame 2
			TweenLite.from(line3, 0.5, {alpha: 0, x: 0, delay: delay + 1.0, ease: MoreThanIT_Cable_Base.WIRE_EASE} );
			TweenLite.from(line4, 0.5, {alpha: 0, x: 0, delay: delay + 1.25, ease: MoreThanIT_Cable_Base.WIRE_EASE} );
		}
		
		override protected function animateFrame3(delay:Number=0):void
		{
			// hide frame 2
			TweenLite.to(headline, 0.5, { alpha: 0, delay: delay + 0.25} );
			TweenLite.to(line3, 0.5, {alpha: 0, delay: delay + 0.5} );
			TweenLite.to(line4, 0.5, {alpha: 0, delay: delay + 0.75} );
			
			// show frame 3
			delay += 0.75;
			var startX:Number = -50;
			TweenLite.to(cableGuy, 0.4, {x: 68, delay: delay } );
			TweenLite.from(experisLogo, 0.4, {alpha: 0, delay: delay + 0.25} );
			TweenLite.from(line5, 0.5, {alpha: 0, x: startX, delay: delay + 1.0, ease: MoreThanIT_Cable_Base.WIRE_EASE } );
			TweenLite.from(line6, 0.5, {alpha: 0, x: startX, delay: delay + 1.25, ease: MoreThanIT_Cable_Base.WIRE_EASE} );
			TweenLite.from(line7, 0.5, {alpha: 0, x: startX, delay: delay + 1.5, ease: MoreThanIT_Cable_Base.WIRE_EASE} );
			TweenLite.from(line8, 0.5, {alpha: 0, x: startX, delay: delay + 1.75, ease: MoreThanIT_Cable_Base.WIRE_EASE} );
			
			TweenLite.from(ctaBtn, 0.5, { alpha: 0, x: "-20", delay: delay + 2.75 } );
		}
		
	}
	
}